unit Encoder3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Buttons, StdCtrls, RXSwitch, ShellApi;

type
  TEncodeForm3 = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    ComboBox3: TComboBox;
    GroupBox2: TGroupBox;
    BitBox: TComboBox;
    GroupBox3: TGroupBox;
    RxSwitch1: TRxSwitch;
    Label1: TLabel;
    FileEdit1: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    OpenDialog1: TOpenDialog;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure ComboBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EncodeForm3: TEncodeForm3;
var
   param: string;
   
implementation

uses Main, Encoder, Encoder2, Encoder4;

{$R *.dfm}

procedure TEncodeForm3.SpeedButton1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
begin
FileEdit1.Clear;
FileEdit1.Text:=OpenDialog1.FileName;
end;
end;

procedure TEncodeForm3.SpeedButton2Click(Sender: TObject);
begin
if FileEdit1.Text<>'' then
begin

if RxSwitch1.StateOn then
begin
param:= FileEdit1.Text + ' ' + '-b' + BitBox.Text + ' ' + '-ms';
ShellExecute(Application.Handle, nil, 'faac.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)), 1);
end;

if not RxSwitch1.StateOn then
begin
param:= FileEdit1.Text + ' ' + '-b' + BitBox.Text + ' ' + '-nm';
ShellExecute(Application.Handle, nil, 'faac.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)), 1);
end;
end

else
beep;
end;

procedure TEncodeForm3.ComboBox3Click(Sender: TObject);
begin
if ComboBox3.ItemIndex = 0 then
begin
EncodeForm3.Hide;
EncodeForm.Show;
EncodeForm.ComboBox1.Text:='Lame MP3 Encoder';
end;
if ComboBox3.ItemIndex = 1 then
begin
EncodeForm3.Hide;
EncodeForm.Show;
EncodeForm.ComboBox2.Text:='Vorbis OGG Encoder';
end;
if ComboBox3.ItemIndex = 2 then
begin
EncodeForm3.Hide;
EncodeForm.Show;
EncodeForm.ComboBox3.Text:='Vorbis OGG Decoder';
end;

if ComboBox3.ItemIndex = 3 then
begin
EncodeForm3.Hide;
EncodeForm2.Show;
EncodeForm2.ComboBox3.Text:='GoGo MP3 Encoder';
end;

if ComboBox3.ItemIndex = 4 then
begin
EncodeForm3.Hide;
EncodeForm3.Show;
EncodeForm3.ComboBox3.Text:='AAC Encoder';
end;

if ComboBox3.ItemIndex = 5 then
begin
EncodeForm3.Hide;
EncodeForm4.Show;
EncodeForm4.ComboBox3.Text:='WMA Encoder';
end;
end;

end.
