unit Encoder;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, RXSwitch, StdCtrls, RXSpin, Buttons, ComCtrls, ShellApi,
  Mask, ToolEdit;

type
  TEncodeForm = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    ComboBox1: TComboBox;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    Label3: TLabel;
    Edit2: TEdit;
    GroupBox3: TGroupBox;
    RxSwitch1: TRxSwitch;
    RxSwitch2: TRxSwitch;
    FileEdit1: TEdit;
    SpeedButton2: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Edit1: TComboBox;
    OggEnc: TPanel;
    GroupBox4: TGroupBox;
    ComboBox2: TComboBox;
    GroupBox5: TGroupBox;
    BitBox: TComboBox;
    GroupBox6: TGroupBox;
    Label2: TLabel;
    FileEdit2: TEdit;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    LevelBox: TComboBox;
    GroupBox7: TGroupBox;
    RxSwitch3: TRxSwitch;
    OpenDialog2: TOpenDialog;
    OpenDialog3: TOpenDialog;
    OggDec: TPanel;
    GroupBox8: TGroupBox;
    ComboBox3: TComboBox;
    Label4: TLabel;
    FileEdit3: TEdit;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure ComboBox1KeyPress(Sender: TObject; var Key: Char);
    procedure SpeedButton2Click(Sender: TObject);
    procedure BladeEnc1ComboBox1KeyPress(Sender: TObject; var Key: Char);
    procedure ComboBox1Click(Sender: TObject);
    procedure ComboBox2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure ComboBox3Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EncodeForm: TEncodeForm;
var
  param: string;
  param2: string;
  param3: string;
implementation

uses Main, Encoder2, Encoder3, Encoder4;

{$R *.dfm}


// Encode
procedure TEncodeForm.SpeedButton1Click(Sender: TObject);
begin
if FileEdit1.Text<>'' then
begin
// 1 & 1
if (RxSwitch1.StateOn and RxSwitch2.StateOn ) then
begin
param:= '-h'+ ' ' + '-m m' + ' ' + '-b' + ' ' + Edit1.Text + ' ' + FileEdit1.Text + ' ' + Edit2.Text + '.mp3';
ShellExecute(Application.Handle, nil, 'lame.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)),1);
end;
// 1 & 0
if (RxSwitch1.StateOn and not RxSwitch2.StateOn) then
begin
param:= '-h'+ ' ' + '-b' + ' ' + Edit1.Text + ' ' + FileEdit1.Text + ' '+ Edit2.Text + '.mp3';
ShellExecute(Application.Handle, nil, 'lame.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)),1);
end;
// 0 & 1
if (RxSwitch2.StateOn and not RxSwitch1.StateOn) then
begin
param:= '-m m'+ ' ' + '-b' + ' ' + Edit1.Text + ' ' + FileEdit1.Text + ' '+ Edit2.Text + '.mp3';
ShellExecute(Application.Handle, nil, 'lame.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)),1);
end;
// 0 & 0
if (not RxSwitch1.StateOn and not RxSwitch2.StateOn) then
begin
param:= '-b' + ' ' + Edit1.Text + ' ' + FileEdit1.Text + ' '+ Edit2.Text + '.mp3';
ShellExecute(Application.Handle, nil, 'lame.exe', PChar(' ' + param), PChar(ExtractFileDir(Application.ExeName)),1);
end;
end
else
Beep;
end;

procedure TEncodeForm.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
if not (Key in [#8,'0'..'9']) then Key := #0;
end;

procedure TEncodeForm.ComboBox1KeyPress(Sender: TObject; var Key: Char);
begin
if not (Key in [#13]) then Key := #0;
end;

procedure TEncodeForm.SpeedButton2Click(Sender: TObject);
begin
if OpenDialog1.Execute then
begin
FileEdit1.Clear;
FileEdit1.Text:=OpenDialog1.FileName;
end;
end;

procedure TEncodeForm.BladeEnc1ComboBox1KeyPress(Sender: TObject;
  var Key: Char);
begin
if not (Key in [#13]) then Key := #0;
end;

procedure TEncodeForm.ComboBox1Click(Sender: TObject);
begin
if ComboBox1.ItemIndex = 0 then
begin
OggEnc.Hide;
OggDec.Hide;
ComboBox1.Text:='Lame MP3 Encoder';
end;
if ComboBox1.ItemIndex = 1 then
begin
OggEnc.Show;
OggDec.Hide;
ComboBox2.Text:='Vorbis OGG Encoder';
end;
if ComboBox1.ItemIndex = 2 then
begin
OggDec.Show;
OggEnc.Hide;
ComboBox3.Text:='Vorbis OGG Decoder';
end;

if ComboBox1.ItemIndex = 3 then
begin
EncodeForm.Hide;
EncodeForm2.Show;
end;

if ComboBox1.ItemIndex = 4 then
begin
EncodeForm.Hide;
EncodeForm3.Show;
end;

if ComboBox1.ItemIndex = 5 then
begin
EncodeForm.Hide;
EncodeForm4.Show;
end;
end;

procedure TEncodeForm.ComboBox2Click(Sender: TObject);
begin
if ComboBox2.ItemIndex = 0 then
begin
OggEnc.Hide;
OggDec.Hide;
ComboBox1.Text:='Lame MP3 Encoder';
end;
if ComboBox2.ItemIndex = 1 then
begin
OggEnc.Show;
OggDec.Hide;
ComboBox2.Text:='Vorbis OGG Encoder';
end;
if ComboBox2.ItemIndex = 2 then
begin
OggDec.Show;
OggEnc.Hide;
ComboBox3.Text:='Vorbis OGG Decoder';
end;

if ComboBox2.ItemIndex = 3 then
begin
EncodeForm.Hide;
EncodeForm2.Show;
EncodeForm2.ComboBox3.Text:='GoGo MP3 Encoder';
end;

if ComboBox2.ItemIndex = 4 then
begin
EncodeForm.Hide;
EncodeForm3.Show;
EncodeForm3.ComboBox3.Text:='AAC Encoder';
end;

if ComboBox2.ItemIndex = 5 then
begin
EncodeForm.Hide;
EncodeForm4.Show;
EncodeForm4.ComboBox3.Text:='WMA Encoder';
end;
end;

procedure TEncodeForm.SpeedButton3Click(Sender: TObject);
begin
if OpenDialog2.Execute then
begin
FileEdit2.Clear;
FileEdit2.Text:=OpenDialog2.FileName;
end;
end;

procedure TEncodeForm.SpeedButton4Click(Sender: TObject);
begin
if FileEdit2.Text<>'' then
begin
// 1
if RxSwitch3.StateOn then
begin
param2:= FileEdit2.Text + ' ' + '--managed' + ' ' + '-b' + ' ' + BitBox.Text + '-q' + ' ' + LevelBox.Text ;
ShellExecute(Application.Handle, nil, 'oggenc.exe', PChar(' ' + param2), PChar(ExtractFileDir(Application.ExeName)),1);
end;
if not RxSwitch3.StateOn then
begin
param2:= FileEdit2.Text + ' ' + '-b' + ' ' + BitBox.Text + '-q' + ' ' + LevelBox.Text ;
ShellExecute(Application.Handle, nil, 'oggenc.exe', PChar(' ' + param2), PChar(ExtractFileDir(Application.ExeName)),1);
end;
end
else
beep;
end;
procedure TEncodeForm.ComboBox3Click(Sender: TObject);
begin
if ComboBox3.ItemIndex = 0 then
begin
OggEnc.Hide;
OggDec.Hide;
ComboBox1.Text:='Lame MP3 Encoder';
end;
if ComboBox3.ItemIndex = 1 then
begin
OggEnc.Show;
OggDec.Hide;
ComboBox2.Text:='Vorbis OGG Encoder';
end;
if ComboBox3.ItemIndex = 2 then
begin
OggDec.Show;
OggEnc.Hide;
ComboBox3.Text:='Vorbis OGG Decoder';
end;

if ComboBox3.ItemIndex = 3 then
begin
EncodeForm.Hide;
EncodeForm2.Show;
EncodeForm2.ComboBox3.Text:='GoGo MP3 Encoder';
end;

if ComboBox3.ItemIndex = 4 then
begin
EncodeForm.Hide;
EncodeForm3.Show;
EncodeForm3.ComboBox3.Text:='AAC Encoder';
end;

if ComboBox3.ItemIndex = 5 then
begin
EncodeForm.Hide;
EncodeForm4.Show;
EncodeForm4.ComboBox3.Text:='WMA Encoder';
end;
end;

procedure TEncodeForm.SpeedButton6Click(Sender: TObject);
begin
if FileEdit3.Text<>'' then
begin
param3:= FileEdit3.Text;
ShellExecute(Application.Handle, nil, 'oggdec.exe', PChar(' ' + param3), PChar(ExtractFileDir(Application.ExeName)),1);
end
else
beep;
end;

procedure TEncodeForm.SpeedButton5Click(Sender: TObject);
begin
if OpenDialog3.Execute then
begin
FileEdit3.Clear;
FileEdit3.Text:= OpenDialog3.FileName;
end;
end;

procedure TEncodeForm.Label4Click(Sender: TObject);
begin
EncodeForm4.ShowModal;
end;

end.
