unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Buttons, Menus, ImgList, RXSlider, RXCtrls, StdCtrls,
  RxMenus, ShellApi, RXShell, Registry, Placemnt;

type
  TMainForm = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    RxLabel1: TRxLabel;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    Image10: TImage;
    Image11: TImage;
    Image12: TImage;
    OpenFile: TSpeedButton;
    PlayFile: TSpeedButton;
    EncodeFile: TSpeedButton;
    Options: TSpeedButton;
    View: TSpeedButton;
    Help: TSpeedButton;
    About: TSpeedButton;
    OpenDialog1: TOpenDialog;
    ListBox1: TListBox;
    RxPopupMenu1: TRxPopupMenu;
    OpenMediaFile1: TMenuItem;
    PlaySelectedFile1: TMenuItem;
    EncodeSelectedFile1: TMenuItem;
    ProgramOptions1: TMenuItem;
    ProgramView1: TMenuItem;
    Help1: TMenuItem;
    AboutProgram1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    ProgramsHomePage1: TMenuItem;
    N4: TMenuItem;
    Exit1: TMenuItem;
    Head: TImage;
    RxTrayIcon1: TRxTrayIcon;
    HideSpaceEncoder1: TMenuItem;
    HideSpaceEncoder2: TMenuItem;
    N5: TMenuItem;
    RxPopupMenu2: TRxPopupMenu;
    Minimizetotray1: TMenuItem;
    erminate1: TMenuItem;
    FormStorage1: TFormStorage;
    procedure TerminateClick(Sender: TObject);
    procedure MinimizeClick(Sender: TObject);
    procedure Image3MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image3MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image5MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image5Click(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image4Click(Sender: TObject);
    procedure OpenFileClick(Sender: TObject);
    procedure PlayFileClick(Sender: TObject);
    procedure EncodeFileClick(Sender: TObject);
    procedure ListBox1KeyPress(Sender: TObject; var Key: Char);
    procedure OpenMediaFile1Click(Sender: TObject);
    procedure PlaySelectedFile1Click(Sender: TObject);
    procedure EncodeSelectedFile1Click(Sender: TObject);
    procedure ProgramOptions1Click(Sender: TObject);
    procedure ProgramView1Click(Sender: TObject);
    procedure Help1Click(Sender: TObject);
    procedure AboutProgram1Click(Sender: TObject);
    procedure ProgramsHomePage1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure HeadMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure HideSpaceEncoder1Click(Sender: TObject);
    procedure HideSpaceEncoder2Click(Sender: TObject);
    procedure RxTrayIcon1DblClick(Sender: TObject);
    procedure Minimizetotray1Click(Sender: TObject);
    procedure erminate1Click(Sender: TObject);
  private
  
  public

  end;

var
  MainForm: TMainForm;

implementation

uses Player, Encoder, Encoder2, Encoder3, Encoder4;

{$R *.dfm}

procedure TMainForm.TerminateClick(Sender: TObject);
begin
Application.Terminate;
end;

procedure TMainForm.MinimizeClick(Sender: TObject);
begin
Application.Minimize;
end;

procedure TMainForm.Image3MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Image2.Show;
Image3.Hide;
end;

procedure TMainForm.Image3MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Image2.Hide;
Image3.Show;
end;

procedure TMainForm.Image5MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Image4.Show;
Image5.Hide;
end;

procedure TMainForm.Image5MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Image4.Hide;
Image5.Show;
end;

procedure TMainForm.Image5Click(Sender: TObject);
begin
Application.Terminate;
end;

procedure TMainForm.Image3Click(Sender: TObject);
begin
MainForm.Hide;
PlayForm.Hide;
EncodeForm.Hide;
EncodeForm2.Hide;
EncodeForm3.Hide;
EncodeForm4.Hide;
end;

procedure TMainForm.Image2Click(Sender: TObject);
begin
MainForm.Hide;
PlayForm.Hide;
EncodeForm.Hide;
EncodeForm2.Hide;
EncodeForm3.Hide;
EncodeForm4.Hide;
end;

procedure TMainForm.Image4Click(Sender: TObject);
begin
Application.Terminate;
end;

procedure TMainForm.OpenFileClick(Sender: TObject);
begin
if OpenDialog1.Execute then
begin
ListBox1.Items.Add(OpenDialog1.FileName);
ListBox1.ItemIndex:=0;
end;
end;

procedure TMainForm.PlayFileClick(Sender: TObject);
begin
if ListBox1.ItemIndex<> -1 then
PlayForm.ShowModal
else
Beep;
end;

procedure TMainForm.EncodeFileClick(Sender: TObject);
begin
EncodeForm.Show;
end;

procedure TMainForm.ListBox1KeyPress(Sender: TObject; var Key: Char);
begin
if Key = #8 then
begin
ListBox1.Items.Delete(ListBox1.ItemIndex);
end;
end;
procedure TMainForm.OpenMediaFile1Click(Sender: TObject);
begin
OpenFile.Click;
end;

procedure TMainForm.PlaySelectedFile1Click(Sender: TObject);
begin
PlayFile.Click;
end;

procedure TMainForm.EncodeSelectedFile1Click(Sender: TObject);
begin
EncodeFile.Click;
end;

procedure TMainForm.ProgramOptions1Click(Sender: TObject);
begin
Options.Click;
end;

procedure TMainForm.ProgramView1Click(Sender: TObject);
begin
View.Click;
end;

procedure TMainForm.Help1Click(Sender: TObject);
begin
Help.Click;
end;

procedure TMainForm.AboutProgram1Click(Sender: TObject);
begin
About.Click;
end;

procedure TMainForm.ProgramsHomePage1Click(Sender: TObject);
begin
ShellExecute(Application.Handle, nil,
    'http://x-ware.narod.ru',
    nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
Application.Terminate;
end;


procedure TMainForm.HeadMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
const
  SC_DragMove = $F012;  { a magic number }
begin
  ReleaseCapture;
  perform(WM_SysCommand, SC_DragMove, 0);

end;

procedure TMainForm.HideSpaceEncoder1Click(Sender: TObject);
begin
MainForm.Hide;
PlayForm.Hide;
EncodeForm.Hide;
EncodeForm2.Hide;
EncodeForm3.Hide;
EncodeForm4.Hide;
end;

procedure TMainForm.HideSpaceEncoder2Click(Sender: TObject);
begin
MainForm.Show;
end;

procedure TMainForm.RxTrayIcon1DblClick(Sender: TObject);
begin
MainForm.Show;
end;

procedure TMainForm.Minimizetotray1Click(Sender: TObject);
begin
MainForm.Hide;
PlayForm.Hide;
EncodeForm.Hide;
EncodeForm2.Hide;
EncodeForm3.Hide;
EncodeForm4.Hide;
end;

procedure TMainForm.erminate1Click(Sender: TObject);
begin
Application.Terminate;
end;

end.
